%define major		14
%define libname		%mklibname braille %{major}
%define develname	%mklibname braille -d

Summary:	Easy access to Braille displays and terminals
Name:		libbraille
Version:	0.19.0
Release:	%mkrel 22
License:	LGPLv2
Group:		System/Libraries
URL:		http://libbraille.sourceforge.net/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libbraille-libtool_fixes.diff
Patch1:		libbraille-0.19.0-ltdl_fixes.diff
Patch2:		libbraille-0.19.0-automake-1.13.patch
BuildRequires:	swig
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	libtool-devel

%description
This library makes it possible to easily access Braille displays and
terminals : you can write text on the braille display, directly draw braille
dots, or get the value of pressed keys. It is compatible with a wide range
of braille displays.

The features contain:
* usable from C, C++, Python and Java
* supports over 10 braille displays (including some recent models)
* easy configuration of the braille table
* distributed under the LGPL Free Software Licence
* portable (currently linux and win32)
* packages available
* easy to incorporate in any application wanting to use braille displays
(simple shared library)
* uses autoconf, automake and libtool for easier installation and portability
* contains a virtual graphical terminal made with Gtk+ for developers testing

%package -n	%{libname}
Summary:	Shared libbraille library
Group:		System/Libraries

%description -n	%{libname}
This library makes it possible to easily access Braille displays and
terminals : you can write text on the braille display, directly draw braille
dots, or get the value of pressed keys. It is compatible with a wide range
of braille displays.

The features contain:
* usable from C, C++, Python and Java
* supports over 10 braille displays (including some recent models)
* easy configuration of the braille table
* distributed under the LGPL Free Software Licence
* portable (currently linux and win32)
* packages available
* easy to incorporate in any application wanting to use braille displays
(simple shared library)
* uses autoconf, automake and libtool for easier installation and portability
* contains a virtual graphical terminal made with Gtk+ for developers testing

%package -n	%{develname}
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This library makes it possible to easily access Braille displays and
terminals : you can write text on the braille display, directly draw braille
dots, or get the value of pressed keys. It is compatible with a wide range
of braille displays.

The features contain:
* usable from C, C++, Python and Java
* supports over 10 braille displays (including some recent models)
* easy configuration of the braille table
* distributed under the LGPL Free Software Licence
* portable (currently linux and win32)
* packages available
* easy to incorporate in any application wanting to use braille displays
(simple shared library)
* uses autoconf, automake and libtool for easier installation and portability
* contains a virtual graphical terminal made with Gtk+ for developers testing

This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
autoreconf -fi

%configure2_5x \
    --without-included-ltdl \
    --with-ltdl-include=%{_includedir} \
    --with-ltdl-lib=%{_libdir} \
    --with-pic \
    --disable-rpath \
    --disable-static \
    --disable-python \
    --enable-usb

%make_build

%install
%make_install

# antibork
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog README TODO
%config(noreplace) %{_sysconfdir}/libbraille.conf
%{_bindir}/*
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%dir %{_libdir}/libbraille
%{_libdir}/libbraille/*.so
%{_datadir}/libbraille

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/*.so


%changelog
* Sun Feb 23 2020 daviddavid <daviddavid> 0.19.0-22.mga8
+ Revision: 1549689
- drop python2 only support
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.19.0-21.mga7
+ Revision: 1298770
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Thu Feb 11 2016 umeabot <umeabot> 0.19.0-20.mga6
+ Revision: 955441
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 0.19.0-19.mga6
+ Revision: 892770
- fix python macros (fix build failure)

* Wed Oct 15 2014 umeabot <umeabot> 0.19.0-18.mga5
+ Revision: 745153
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.19.0-17.mga5
+ Revision: 726695
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.19.0-16.mga5
+ Revision: 681353
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 pterjan <pterjan> 0.19.0-15.mga5
+ Revision: 643700
- Replace libusb*-devel BuildRequires by better ones

* Sat May 31 2014 pterjan <pterjan> 0.19.0-14.mga5
+ Revision: 628289
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 0.19.0-13.mga4
+ Revision: 506882
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.19.0-12.mga3
+ Revision: 356868
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 luigiwalser <luigiwalser> 0.19.0-11.mga3
+ Revision: 344863
- further fix for automake 1.13
- fix for automake 1.13

* Thu Sep 22 2011 fwang <fwang> 0.19.0-10.mga2
+ Revision: 146641
- drop .la files

* Sun Feb 06 2011 spuhler <spuhler> 0.19.0-9.mga1
+ Revision: 47755
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package libbraille


* Wed Nov 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.19.0-9mdv2010.1
+ Revision: 467253
- link against system libltdl.so.7

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 0.19.0-8mdv2010.0
+ Revision: 439788
- rebuild for new libusb

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.19.0-7mdv2010.0
+ Revision: 425520
- rebuild

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.19.0-6mdv2009.1
+ Revision: 319057
- rebuild for python 2.6

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.19.0-5mdv2009.1
+ Revision: 316999
- really use %%ldflags

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.19.0-4mdv2009.0
+ Revision: 222508
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Mar 10 2008 Antoine Ginies <aginies@mandriva.com> 0.19.0-3mdv2008.1
+ Revision: 183934
- rebuild for 2008 spring

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.19.0-2mdv2008.0
+ Revision: 79448
- fix deps

* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.19.0-1mdv2008.0
+ Revision: 79399
- Import libbraille



* Tue Sep 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0.19.0-1mdv2008.0
- initial Mandriva package (opensuse import)
